> For the complete documentation index, see [llms.txt](https://docs.rasgoml.com/rasgo-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rasgoml.com/rasgo-docs/rasgo-0.1/overview/user-defined-transforms/utilities/cleanse_name.md).

# cleanse\_name()

Utility to make a string SQL safe so that it can be used as an alias for a new column.

Takes the following actions on a string:

1. remove double quotes
2. replace spaces and dashes with underscores
3. cast to upper case
4. delete anything that is not letters, numbers, or underscores
5. if first character is a number, add an underscore to the beginning

## Parameters

| Type   | Description                                                                   |
| ------ | ----------------------------------------------------------------------------- |
| string | text to make SQL safe; works on column names, table names, row values, etc... |

## Example

```sql
SELECT *

<div data-gb-custom-block data-tag="-"></div>

    , {{math_op}} as {{cleanse_name(math_op)}}

<div data-gb-custom-block data-tag="-"></div>

FROM {{source_table}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rasgoml.com/rasgo-docs/rasgo-0.1/overview/user-defined-transforms/utilities/cleanse_name.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
